# WoopsiUI::DecorationGlyphButton Class Reference

`#include <decorationglyphbutton.h>`

Inheritance diagram for WoopsiUI::DecorationGlyphButton:

List of all members.

## Public Member Functions
| DecorationGlyphButton (s16 x, s16 y, u16 width, u16 height, char normalGlyph, char clickedGlyph, FontBase *font=NULL)
virtual void | draw (Rect clipRect)
virtual bool | focus ()
## Protected Member Functions
virtual | ~DecorationGlyphButton ()
| DecorationGlyphButton (const DecorationGlyphButton &decorationGlyphButton)
## Protected Attributes
char | _normalGlyph
char | _clickedGlyph

## Detailed Description

Class representing a button that will display a glyph and form part of another gadget's border decorations. Examples include the screen flip/depth buttons.

## Constructor & Destructor Documentation

WoopsiUI::DecorationGlyphButton::DecorationGlyphButton | ( | s16 | x,
|  | s16 | y,
|  | u16 | width,
|  | u16 | height,
|  | char | normalGlyph,
|  | char | clickedGlyph,
|  | FontBase * | font = `NULL` |
| ) |  |  |

Constructor.

Parameters:

  | x | The x co-ordinate of the button.
  | y | The y co-ordinate of the button.
  | width | The width of the button.
  | height | The height of the button.
  | normalGlyph | Character to display when unclicked.
  | clickedGlyph | Character to display when clicked.
  | font | Font to use.

virtual WoopsiUI::DecorationGlyphButton::~DecorationGlyphButton | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::DecorationGlyphButton::DecorationGlyphButton | ( | const DecorationGlyphButton & | decorationGlyphButton | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

virtual void WoopsiUI::DecorationGlyphButton::draw | ( | Rect | clipRect | ) | `[virtual]`

Draw the region of the button that falls within the clipRect.

Parameters:

  | clipRect | The clipping region to draw within.

Reimplemented from WoopsiUI::Button.

Reimplemented in WoopsiUI::WindowBorderButton.

virtual bool WoopsiUI::DecorationGlyphButton::focus | ( |  | ) | `[virtual]`

Give the gadget focus.

Returns:
  True if the gadget received focus correctly.

Reimplemented from WoopsiUI::Gadget.

## Member Data Documentation

char WoopsiUI::DecorationGlyphButton::_clickedGlyph`[protected]`

Character to display when clicked

char WoopsiUI::DecorationGlyphButton::_normalGlyph`[protected]`

Character to display when unclicked

The documentation for this class was generated from the following file:

- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.40/Woopsi/libwoopsi/include/decorationglyphbutton.h